# Uses of Class
org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo.Toffs

Packages that use FieldPhraseList.WeightedPhraseInfo.Toffs
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of FieldPhraseList.WeightedPhraseInfo.Toffs in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight that return types with arguments of type FieldPhraseList.WeightedPhraseInfo.Toffs
  Modifier and Type
  Method
  Description
  `List<FieldPhraseList.WeightedPhraseInfo.Toffs>`
  FieldPhraseList.WeightedPhraseInfo.`getTermsOffsets()`
  `List<FieldPhraseList.WeightedPhraseInfo.Toffs>`
  FieldFragList.WeightedFragInfo.SubInfo.`termsOffsets()`
  Returns the value of the `termsOffsets` record component.
  Methods in org.apache.lucene.search.vectorhighlight with parameters of type FieldPhraseList.WeightedPhraseInfo.Toffs
  Modifier and Type
  Method
  Description
  `int`
  FieldPhraseList.WeightedPhraseInfo.Toffs.`compareTo(FieldPhraseList.WeightedPhraseInfo.Toffs other)`
  Constructor parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldPhraseList.WeightedPhraseInfo.Toffs
  Modifier
  Constructor
  Description
  ``
  `SubInfo(String text, List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets, int seqnum, float boost)`
  Creates an instance of a `SubInfo` record class.